--- old/usr/src/uts/common/sys/varargs.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/varargs.h	Sat Aug  2 23:27:28 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,14 +32,11 @@
 #ifndef	_SYS_VARARGS_H
 #define	_SYS_VARARGS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* UCB 4.1 83/05/03 */
-
 /*
  * This header defines the Solaris system definitions for variable
  * argument lists.  For the most part, it follows the definitions of
  * ISO C 1999.  It does not follow the namespace rules for ISO C++
- * 1998.  For legacy support, it also defines the pre-standard variable
- * argument definitions.
+ * 1998.
  *
  * The varargs definitions within this header are defined in terms of
  * implementation definitions.  These implementation definitions reside
@@ -58,10 +56,8 @@
 typedef __va_list va_list;
 #endif
 
-#if defined(__STDC__)
 /*
- * When __STDC__ is defined, this file provides stdarg semantics despite
- * the name of the file.
+ * This file provides stdarg semantics despite the name of the file.
  */
 
 #define	va_start(list, name)	__va_start(list, name)
@@ -69,21 +65,7 @@
 #define	va_copy(to, from)	__va_copy(to, from)
 #define	va_end(list)		__va_end(list)
 
-#else	/* ! __STDC__ */
-/*
- * In the absence of __STDC__, this file provides traditional varargs
- * semantics.
- */
 
-#define	va_alist		__builtin_va_alist
-#define	va_dcl			__va_alist_type va_alist;
-#define	va_start(list)		__va_start(list, va_alist)
-#define	va_arg(list, type)	__va_arg(list, type)
-#define	va_copy(to, from)	__va_copy(to, from)
-#define	va_end(list)		__va_end(list)
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/uts/common/sys/vfstab.h	Sat Aug  2 23:27:29 2014
+++ new/usr/src/uts/common/sys/vfstab.h	Sat Aug  2 23:27:29 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef	_SYS_VFSTAB_H
 #define	_SYS_VFSTAB_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.2 */
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -64,17 +65,10 @@
 	char	*vfs_mntopts;
 };
 
-#ifdef __STDC__
 extern int	getvfsent(FILE *, struct vfstab *);
 extern int	getvfsspec(FILE *, struct vfstab *, char *);
 extern int	getvfsfile(FILE *, struct vfstab *, char *);
 extern int	getvfsany(FILE *, struct vfstab *, struct vfstab *);
-#else
-extern int	getvfsent();
-extern int	getvfsspec();
-extern int	getvfsfile();
-extern int	getvfsany();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/vtoc.h	Sat Aug  2 23:27:29 2014
+++ new/usr/src/uts/common/sys/vtoc.h	Sat Aug  2 23:27:29 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -327,22 +329,11 @@
 #define	CK_CHECKSUM	0	/* check checksum */
 #define	CK_MAKESUM	1	/* generate checksum */
 
-#if defined(__STDC__)
-
 extern	int	read_vtoc(int, struct vtoc *);
 extern	int	write_vtoc(int, struct vtoc *);
 extern	int	read_extvtoc(int, struct extvtoc *);
 extern	int	write_extvtoc(int, struct extvtoc *);
 
-#else
-
-extern	int	read_vtoc();
-extern	int	write_vtoc();
-extern	int	read_extvtoc();
-extern	int	write_extvtoc();
-
-#endif 	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/uts/common/sys/wait.h	Sat Aug  2 23:27:29 2014
+++ new/usr/src/uts/common/sys/wait.h	Sat Aug  2 23:27:29 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef _SYS_WAIT_H
 #define	_SYS_WAIT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.10 */
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -95,7 +94,6 @@
 
 
 #if !defined(_KERNEL)
-#if defined(__STDC__)
 
 extern pid_t wait(int *);
 extern pid_t waitpid(pid_t, int *, int);
@@ -112,23 +110,6 @@
 extern pid_t wait4(pid_t, int *, int, struct rusage *);
 #endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
 
-#else /* __STDC__ */
-
-extern pid_t wait();
-extern pid_t waitpid();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int waitid();
-/* Marked as LEGACY in SUSv2 and removed in SUSv3 */
-#if !defined(_XPG6) || defined(__EXTENSIONS__)
-extern pid_t wait3();
-#endif /* !defined(_XPG6) || defined(__EXTENSIONS__) */
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern pid_t wait4();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-
-#endif	/* __STDC__ */
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
